Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.tartarus.snowball.ext
Class SpanishStemmer

    java.lang.Object
      org.tartarus.snowball.SnowballProgram
          org.tartarus.snowball.ext.SpanishStemmer

    public class SpanishStemmer

extends SnowballProgram

Generated class implementing code defined by a snowball script.

Field Summary

Fields inherited from class org.tartarus.snowball.SnowballProgram
`bra, cursor, ket, limit, limit_backward`

Constructor Summary
`SpanishStemmer()`

Method Summary
`boolean` | `stem()`

Methods inherited from class org.tartarus.snowball.SnowballProgram
`assign_to, copy_from, eq_s_b, eq_s_b, eq_s, eq_s, eq_v_b, eq_v_b, eq_v, eq_v, find_among_b, find_among, getCurrent, getCurrentBuffer, getCurrentBufferLength, in_grouping_b, in_grouping, in_range_b, in_range, insert, insert, insert, out_grouping_b, out_grouping, out_range_b, out_range, replace_s, replace_s, setCurrent, setCurrent, slice_check, slice_del, slice_from, slice_from, slice_from, slice_to`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SpanishStemmer

    public SpanishStemmer()

Method Detail

### stem

    public boolean stem()

  Specified by:
    `stem` in class `SnowballProgram`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD